SystemOrganization addCategory: #GODFilter!

Object subclass: #FILTMainFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!

FILTMainFilter subclass: #FILTConferenceFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!

!FILTConferenceFilter methodsFor: 'accessing' stamp: 'LM 10/6/2014 19:30'!
filter: collectionOfGodData byHtmlTags: aString
	"Filter a collection of GODData using html tags"

	^Collection. ! !

!FILTConferenceFilter methodsFor: 'accessing' stamp: 'LM 10/6/2014 19:33'!
filterConferences: collectionOfConferences bySearchFilter: GCSearchFilterObject
	"Filter a collection of GODConferences by SearchFilter"

	^Collection. ! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 9/25/2014 21:06'!
filter: collectionOfGodData byContent: aString
	"Filter a collection of GODData by content"

	^Collection. ! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 9/25/2014 21:06'!
filter: collectionOfGodData byOrigin: aString
	"Filter a collection of GODData by origin"

	^Collection. ! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 9/25/2014 21:07'!
filter: collectionOfGodData byTags: collectionOfTags
	"Filter a collection of GODData by tags"

	^Collection. ! !

!FILTMainFilter methodsFor: 'accessing' stamp: 'LM 9/25/2014 21:06'!
filter: collectionOfGodData byTitle: aString
	"Filter a collection of GODData by title"

	^Collection.! !

FILTMainFilter subclass: #FILTSocialFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!

FILTMainFilter subclass: #FILTTextFilter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilter'!
